classification
Title: Expose FreeBSD-specific APIs in resource module
Type: enhancement Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: Claudiu.Popa, christian.heimes, koobs, larry, python-dev
Priority: normal Keywords: easy, patch

Created on 2013-10-22 09:27 by koobs, last changed 2013-12-08 13:43 by christian.heimes. This issue is now closed.

Files
File name Uploaded Description Edit
resource.patch Claudiu.Popa, 2013-11-13 13:36 review
Messages (8)
msg200903 - (view) Author: koobs (koobs) Date: 2013-10-22 09:27
At Christians request:

RLIMIT_SBSIZE
The maximum size (in bytes) of socket buffer usage for
this user.  This limits the amount of network memory, and
hence the amount of mbufs, that this user may hold at any
time.

RLIMIT_SWAP
The maximum size (in bytes) of the swap space that may be
reserved or used by all of this user id's processes.
This limit is enforced only if bit 1 of the vm.overcommit
sysctl is set.  Please see tuning(7) for a complete
description of this sysctl.

RLIMIT_NPTS
The maximum number of pseudo-terminals created by this
user id.

All of the above exists on both FreeBSD 9-stable (9.x) and 10-stable (10.x)
msg202745 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2013-11-13 13:36
Hello. Here's a preliminary patch.
msg203158 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-17 14:03
LGTM
I'll submit the patch later.
msg205282 - (view) Author: Claudiu Popa (Claudiu.Popa) * Date: 2013-12-05 08:49
Should this be tagged for Python 3.5?
msg205558 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2013-12-08 13:24
I can live with this in 3.4 if you check it in before beta 2.
msg205559 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-08 13:36
New changeset ad2cd599f1cf by Christian Heimes in branch 'default':
Issue #19343: Expose FreeBSD-specific APIs in resource module.  Original patch by Koobs.
http://hg.python.org/cpython/rev/ad2cd599f1cf
msg205561 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-12-08 13:36
Thanks Larry!
msg205562 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-12-08 13:43
Claudiu, I'm really sorry. :( The patch was originally developed by you, not by koobs. All credits to you!
History
Date User Action Args
2013-12-08 13:43:16christian.heimessetmessages: + msg205562
2013-12-08 13:36:36christian.heimessetstatus: open -> closed
resolution: fixed
messages: + msg205561

stage: patch review -> resolved
2013-12-08 13:36:14python-devsetnosy: + python-dev
messages: + msg205559
2013-12-08 13:24:06larrysetmessages: + msg205558
2013-12-05 16:25:37pitrousetnosy: + larry
2013-12-05 08:49:36Claudiu.Popasetmessages: + msg205282
2013-11-17 14:03:40christian.heimessetassignee: christian.heimes
messages: + msg203158
stage: needs patch -> patch review
2013-11-13 13:36:47Claudiu.Popasetfiles: + resource.patch

nosy: + Claudiu.Popa
messages: + msg202745

keywords: + patch
2013-10-22 09:27:59christian.heimessetnosy: + christian.heimes
versions: + Python 3.4
components: + Extension Modules
keywords: + easy
type: enhancement
stage: needs patch
2013-10-22 09:27:18koobscreate